DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTROIContourSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTROIContourSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getROIDisplayColor (OFString &value, const signed long pos=0) const
| get ROIDisplayColor (3006,002a)
OFCondition | getROIDisplayColor (Sint32 &value, const unsigned long pos=0) const
| get ROIDisplayColor (3006,002a)
OFCondition | getRecommendedDisplayCIELabValue (Uint16 &value, const unsigned long pos=0) const
| get RecommendedDisplayCIELabValue (0062,000d)
OFCondition | getRecommendedDisplayGrayscaleValue (Uint16 &value, const unsigned long pos=0) const
| get RecommendedDisplayGrayscaleValue (0062,000c)
OFCondition | getReferencedROINumber (OFString &value, const signed long pos=0) const
| get ReferencedROINumber (3006,0084)
OFCondition | getReferencedROINumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedROINumber (3006,0084)
DRTContourSequence & | getContourSequence ()
| get ContourSequence (3006,0040)
const DRTContourSequence & | getContourSequence () const
| get ContourSequence (3006,0040)
DRTSourcePixelPlanesCharacteristicsSequence & | getSourcePixelPlanesCharacteristicsSequence ()
| get SourcePixelPlanesCharacteristicsSequence (3006,004a)
const DRTSourcePixelPlanesCharacteristicsSequence & | getSourcePixelPlanesCharacteristicsSequence () const
| get SourcePixelPlanesCharacteristicsSequence (3006,004a)
OFCondition | setROIDisplayColor (const OFString &value, const OFBool check=OFTrue)
| set ROIDisplayColor (3006,002a)
OFCondition | setRecommendedDisplayCIELabValue (const Uint16 value, const unsigned long pos=0)
| set RecommendedDisplayCIELabValue (0062,000d)
OFCondition | setRecommendedDisplayGrayscaleValue (const Uint16 value, const unsigned long pos=0)
| set RecommendedDisplayGrayscaleValue (0062,000c)
OFCondition | setReferencedROINumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedROINumber (3006,0084)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTContourSequence | ContourSequence
| ContourSequence (3006,0040) vr=SQ, vm=1, type=3.
DcmIntegerString | ROIDisplayColor
| ROIDisplayColor (3006,002a) vr=IS, vm=3, type=3.
DcmUnsignedShort | RecommendedDisplayCIELabValue
| RecommendedDisplayCIELabValue (0062,000d) vr=US, vm=3, type=3.
DcmUnsignedShort | RecommendedDisplayGrayscaleValue
| RecommendedDisplayGrayscaleValue (0062,000c) vr=US, vm=1, type=3.
DcmIntegerString | ReferencedROINumber
| ReferencedROINumber (3006,0084) vr=IS, vm=1, type=1.
DRTSourcePixelPlanesCharacteristicsSequence | SourcePixelPlanesCharacteristicsSequence
| SourcePixelPlanesCharacteristicsSequence (3006,004a) vr=SQ, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTROIContourSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTROIContourSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getContourSequence() [1/2]

DRTContourSequence & DRTROIContourSequence::Item::getContourSequence | ( |  | ) |
| inline

get ContourSequence (3006,0040)

Returns
  reference to sequence element

References ContourSequence.

## ◆ getContourSequence() [2/2]

const DRTContourSequence & DRTROIContourSequence::Item::getContourSequence | ( |  | ) | const
| inline

get ContourSequence (3006,0040)

Returns
  const reference to sequence element

References ContourSequence.

## ◆ getRecommendedDisplayCIELabValue()

OFCondition DRTROIContourSequence::Item::getRecommendedDisplayCIELabValue | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get RecommendedDisplayCIELabValue (0062,000d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRecommendedDisplayGrayscaleValue()

OFCondition DRTROIContourSequence::Item::getRecommendedDisplayGrayscaleValue | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get RecommendedDisplayGrayscaleValue (0062,000c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [1/2]

OFCondition DRTROIContourSequence::Item::getReferencedROINumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [2/2]

OFCondition DRTROIContourSequence::Item::getReferencedROINumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIDisplayColor() [1/2]

OFCondition DRTROIContourSequence::Item::getROIDisplayColor | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ROIDisplayColor (3006,002a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIDisplayColor() [2/2]

OFCondition DRTROIContourSequence::Item::getROIDisplayColor | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ROIDisplayColor (3006,002a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourcePixelPlanesCharacteristicsSequence() [1/2]

DRTSourcePixelPlanesCharacteristicsSequence & DRTROIContourSequence::Item::getSourcePixelPlanesCharacteristicsSequence | ( |  | ) |
| inline

get SourcePixelPlanesCharacteristicsSequence (3006,004a)

Returns
  reference to sequence element

References SourcePixelPlanesCharacteristicsSequence.

## ◆ getSourcePixelPlanesCharacteristicsSequence() [2/2]

const DRTSourcePixelPlanesCharacteristicsSequence & DRTROIContourSequence::Item::getSourcePixelPlanesCharacteristicsSequence | ( |  | ) | const
| inline

get SourcePixelPlanesCharacteristicsSequence (3006,004a)

Returns
  const reference to sequence element

References SourcePixelPlanesCharacteristicsSequence.

## ◆ isEmpty()

OFBool DRTROIContourSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTROIContourSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTROIContourSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTROIContourSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRecommendedDisplayCIELabValue()

OFCondition DRTROIContourSequence::Item::setRecommendedDisplayCIELabValue | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set RecommendedDisplayCIELabValue (0062,000d)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRecommendedDisplayGrayscaleValue()

OFCondition DRTROIContourSequence::Item::setRecommendedDisplayGrayscaleValue | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set RecommendedDisplayGrayscaleValue (0062,000c)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedROINumber()

OFCondition DRTROIContourSequence::Item::setReferencedROINumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedROINumber (3006,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROIDisplayColor()

OFCondition DRTROIContourSequence::Item::setROIDisplayColor | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ROIDisplayColor (3006,002a)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTROIContourSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrcs.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2